package com.example.prettywallpapers.room;


import androidx.room.Entity;
import androidx.room.Index;
import androidx.room.PrimaryKey;

import com.example.prettywallpapers.myvalue.MyValues;

@Entity(tableName = MyValues.TABLE_NAME,indices = {@Index(value = "image",unique = true)})
public class PrettyPaperEntity {
    @PrimaryKey(autoGenerate = true)
    private int likeid;

    private Boolean paperlike;
    private String image;

    public int getLikeid() {
        return likeid;
    }

    public void setLikeid(int likeid) {
        this.likeid = likeid;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Boolean getPaperlike() {
        return paperlike;
    }

    public void setPaperlike(Boolean paperlike) {
        this.paperlike = paperlike;
    }
}
